### File

`packages/ecl/components/ecl-list/ecl-list.directive.ts`

### Description

Directive for a description list using ECL styles.

Supports horizontal layout and maxVisibleItems functionality passed down to nested definition components.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclDescriptionList]`

### Index

###### Properties
eclListItems
###### Methods
getCssClasses
###### Inputs
isHorizontal maxVisibleItems class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(cd: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
cd | `ChangeDetectorRef` | No

### Inputs

isHorizontal
Type : `boolean`
Default value : `false`
Enables horizontal layout.

maxVisibleItems
Type : `number`
Default value : `0`
Maximum number of visible items before collapsing. Applied to nested `eclDescriptionListDefinition` components.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Applies the base ECL class for description lists.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclListItems
Type : `QueryList<EclDescriptionListDefinitionComponent>`
Decorators : `@ContentChildren(EclDescriptionListDefinitionComponent)`

### Accessors

cssClasses
get `cssClasses()`
Applies the base ECL class for description lists. Returns : `string`

# results matching ""

# No results matching ""